#
# spec file for package python-WSGIProxy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-WSGIProxy
Version:        0.2.2
Release:        14.2
Url:            http://pythonpaste.org/wsgiproxy/
Summary:        HTTP proxying tools for WSGI apps
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/W/WSGIProxy/WSGIProxy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Provides:       python-wsgiproxy = %{version}
Obsoletes:      python-wsgiproxy < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
WSGIProxy gives tools to proxy arbitrary(ish) WSGI requests to other
processes over HTTP.

This will encode the WSGI request CGI-style environmental variables
(which must be strings), plus a configurable set of other variables.
It also sends values like HTTP_HOST and wsgi.url_scheme which
are often obscured by the proxying process, as well as values like
SCRIPT_NAME.  On the receiving end, a WSGI middleware fixes up the
environment to represent the state of the original request.  This
makes HTTP more like FastCGI or SCGI, which naturally preserve these
values.

%prep
%setup -q -n WSGIProxy-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Tue Jan 31 2012 saschpe@suse.de
- Simplified macro usage
* Wed Nov 30 2011 saschpe@suse.de
- Fix obsoletes: python-wsgiproxy instead of python-WSGIProxy
- Require python-distribute instead of python-setuptools
* Tue Nov 29 2011 idoenmez@suse.de
- Regenerate with py2pack
- Update to version 0.2.2
  * Minor fixes to improve functionality
* Tue Nov 10 2009 jfunk@funktronics.ca
- Fix python-pastedeploy req
* Wed Aug  5 2009 cfarrell1980@gmail.com
- Import to OBS
* Tue Apr 14 2009 ricky@fedoraproject.org
- Change define to global.
- Remove old >= 8 conditional.
- Remove unnecessary BuildRequires on python-devel.
* Thu Feb 26 2009 rel-eng@lists.fedoraproject.org
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sat Nov 29 2008 ivazqueznet+rpm@gmail.com
- Rebuild for Python 2.6
* Sat Jun 14 2008 ricky@fedoraproject.org
- Initial RPM Package.
